import 'dart:async';

import 'package:flutter/services.dart';

class DoxdialerSwiftJava {
  static const MethodChannel _channel =
      const MethodChannel('net.devblock.mgh.doxdialer.plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<void> doxdialer(String phoneNumber) async {
    await _channel.invokeMethod('doxdialer', {'phoneNumber': phoneNumber});
  }
}
